#include <LPC23xx.h>
#include <RTL.h>

OS_TID   tsk_ID1, tsk_ID2;

__task void task_init(void);
__task void task1(void);
__task void task2(void);

void blink1(void);
void blink2(void);

//----------------------------------------
int main()
{
   os_sys_init(task_init);

   while(1) {}
   return 0;
}
//----------------------------------------

__task void task_init(void)
{
   //initialization ports for led
   FIO0DIR = 0x00000003;

   tsk_ID1 = os_tsk_create(task1, 1);   // priority:1
   tsk_ID2 = os_tsk_create(task2, 1);   // priority:1
   
   os_tsk_delete_self();    // necessary
}

__task void task1(void)
{
   int i = 0;
   while(1)
   {
      os_dly_wait(50);
      if (i == 0)
      {
         FIO0SET = 0x00000001;
         i = 1;
      }
      else
      {
         FIO0CLR = 0x00000001;
         i = 0;
      } // roshan ya khamush kardan led1
   }
}

__task void task2(void)
{
   int i = 0;
   while(1)
   {
      os_dly_wait(25);
      if (i == 0)
      {
         FIO0SET = 0x00000002;
         i = 1;
      }
      else
      {
         FIO0CLR = 0x00000002;
         i = 0;
      }// roshan ya khamush kardan led2
   }
}